package jp.sourceforge.shovel.entity;

import jp.sourceforge.shovel.AvailabilityType;
import jp.sourceforge.shovel.DeviceType;

public interface IDevice {
    boolean isActivation();
    void setActivation(boolean activation);
    String getAddress();
    void setAddress(String address);
    int getAvailability();
    void setAvailability(int availability);
    AvailabilityType getAvailabilityType();
    void setAvailabilityType(AvailabilityType availabilityType);
    String getType();
    void setType(String type);
    DeviceType getDeviceType();
    void setDeviceType(DeviceType deviceType);
    long getDeviceId();
    void setDeviceId(long deviceId);
    long getUserId();
    void setUserId(long userId);
}
